Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Class CategoryInfo

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.service.category.CategoryInfo

Deprecated

    @Deprecated
    public class CategoryInfo

extends Object

Internal implementation class. I

Constructor Summary
`CategoryInfo(Category category, CategoryKey[] subCategoryKeys, CategoryKey[] ancestorKeys, CategoryKey[] siblingKeys, ProductItemKey[] itemKeys, CategoryKey parentKey)` Deprecated Internal implementation class.

Method Summary
`CategoryKey[]` | `getAncestorKeys()` Deprecated Internal implementation class.
`Category` | `getCategory()` Deprecated Internal implementation class.
`ProductItemKey[]` | `getItemKeys()` Deprecated Internal implementation class.
`CategoryKey` | `getParentKey()` Deprecated Internal implementation class.
`CategoryKey[]` | `getSiblingKeys()` Deprecated Internal implementation class.
`CategoryKey[]` | `getSubCategoryKeys()` Deprecated Internal implementation class.
`void` | `setItemKeys(ProductItemKey[] newKeys)` Deprecated Setter to enable itemKeys list to be built only when they are needed, which may occur after the CategoryInfo object has been constructed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryInfo

    public CategoryInfo(Category category,
                        CategoryKey[] subCategoryKeys,
                        CategoryKey[] ancestorKeys,
                        CategoryKey[] siblingKeys,
                        ProductItemKey[] itemKeys,
                        CategoryKey parentKey)

  Deprecated
  Internal implementation class. I

Method Detail

### getCategory

    public Category getCategory()

  Deprecated
  Internal implementation class. I

### getItemKeys

    public ProductItemKey[] getItemKeys()

  Deprecated
  Internal implementation class. I

### setItemKeys

    public void setItemKeys(ProductItemKey[] newKeys)

  Deprecated
  Setter to enable itemKeys list to be built only when they are needed, which may occur after the CategoryInfo object has been constructed. see CR097190

### getSiblingKeys

    public CategoryKey[] getSiblingKeys()

  Deprecated
  Internal implementation class. I

### getParentKey

    public CategoryKey getParentKey()

  Deprecated
  Internal implementation class. I

### getSubCategoryKeys

    public CategoryKey[] getSubCategoryKeys()

  Deprecated
  Internal implementation class. I

### getAncestorKeys

    public CategoryKey[] getAncestorKeys()

  Deprecated
  Internal implementation class. I

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.